using Furion.DatabaseAccessor;
using Microsoft.EntityFrameworkCore;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace YBEE.EQM.Core;

/// <summary>
/// 转换区间分数
/// </summary>
public class NceeConvertRange : IEntity
{
    /// <summary>
    /// 主键
    /// </summary>
    [Comment("主键")]
    [Key, DatabaseGenerated(DatabaseGeneratedOption.Identity)]
    public int Id { get; set; }
    /// <summary>
    /// 高中分析计划ID
    /// </summary>
    [Comment("高中分析计划ID")]
    [Required]
    public int NceePlanId { get; set; }
    /// <summary>
    /// 高中赋分转换等级
    /// </summary>
    [Comment("高中赋分转换等级")]
    [Required]
    public short NceeConvertGradeId { get; set; }
    /// <summary>
    /// 科目ID
    /// </summary>
    [Comment("科目ID")]
    [Required]
    public short CourseId { get; set; }
    /// <summary>
    /// 下限
    /// </summary>
    [Comment("下限")]
    [Required, Column(TypeName = "decimal(10, 2)")]
    public decimal MinScore { get; set; }
    /// <summary>
    /// 上限
    /// </summary>
    [Comment("上限")]
    [Required, Column(TypeName = "decimal(10, 8)")]
    public decimal MaxScore { get; set; }
}
